from course import CourseCollection
from resource import ResourceInstance, ResourceCollection
from section import SectionCollection
from student import StudentCollection
from teacher import TeacherCollection
from term import TermCollection
from attendance import AttendanceCollection
from course_grade import CourseGradeCollection
from enrollment import EnrollmentCollection

class School(ResourceInstance):
  subresources = [CourseCollection, SectionCollection, StudentCollection, TeacherCollection, TermCollection, AttendanceCollection, CourseGradeCollection, EnrollmentCollection]


class SchoolCollection(ResourceCollection):
  uri_resource_name = "school"
  collection_name = "schools"
  instance_class = School
